## com.bbn.openmap.layer.vpf
Class VMAP2Shape

    java.lang.Object
      com.bbn.openmap.layer.vpf.VMAP2Shape

public class VMAP2Shape
extends java.lang.Object

Convert NIMA VMAP geospatial data into ESRI shapefile format.

Field Summary
`protected static boolean` `DEF_DO_THINNING`
`protected static float` `DEF_FAN_EPS`
`protected static java.lang.String` `DEF_PREFIX`
`protected static java.lang.String` `DEF_PROPS_FILE_NAME`
`protected static float` `DEF_THRESHOLD`
`protected static java.lang.String` `DEF_VMAP_TYPE`
`protected static float` `DEF_ZERO_EPS`
`protected boolean` `doThinning`
`protected float` `fan_eps`
`protected LibrarySelectionTable` `lst`
`protected java.lang.String` `prefix`
`protected java.lang.String` `propsFileName`
`protected float` `threshold`
`protected java.lang.String` `vmaptype`
`protected LayerGraphicWarehouseSupport` `warehouse`
`protected float` `zero_eps`

Constructor Summary
`VMAP2Shape()`

Method Summary
`static float[]` `coalesce_points(float[] radians, float eps, boolean ispolyg)` traverse array and coalesce adjacent points which are the same
`float` `getFan_eps()`
`LibrarySelectionTable` `getLst()`
`java.lang.String` `getPrefix()`
`java.lang.String` `getPropsFileName()`
`OMGraphicList` `getRectangle()`
`float` `getThreshold()`
`java.lang.String` `getVmaptype()`
`LayerGraphicWarehouseSupport` `getWarehouse()`
`float` `getZero_eps()`
`protected void` `initLST(java.lang.String[] paths)`
`boolean` `isDoThinning()`
`protected static OMGraphicList` `joinCommonLines(OMGraphicList list, float zero_eps)` Iterates through graphic list finding non-connected polylines.
`protected java.util.Properties` `loadProperties()`
`static void` `main(java.lang.String[] args)`
`protected boolean` `maybeThrowAwayPoly(OMPoly poly)` return true if we should throw away the poly
`void` `setDoThinning(boolean doThinning)`
`void` `setFan_eps(float fan_eps)`
`void` `setLst(LibrarySelectionTable lst)`
`void` `setPrefix(java.lang.String prefix)`
`protected void` `setProperties(java.lang.String prefix, java.util.Properties props)`
`void` `setPropsFileName(java.lang.String propsFileName)`
`void` `setThreshold(float threshold)`
`void` `setVmaptype(java.lang.String vmaptype)`
`void` `setWarehouse(LayerGraphicWarehouseSupport warehouse)`
`void` `setZero_eps(float zero_eps)`
`static void` `usage()`
`void` `writeShapeFile(java.lang.String shapeFileName)` Will load the properties set in the VPF2Shape object, fetch the OMGraphics from the VPF database, and write the shape file.
`void` `writeShapeFile(java.lang.String shapeFileName, OMGraphicList graphics)` Write the shape file, assumes that the properties have been loaded and the graphics fetched from the VPF database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEF_VMAP_TYPE

    protected static final java.lang.String DEF_VMAP_TYPE

See Also:
  Constant Field Values

### DEF_PROPS_FILE_NAME

    protected static final java.lang.String DEF_PROPS_FILE_NAME

### DEF_PREFIX

    protected static final java.lang.String DEF_PREFIX

See Also:
  Constant Field Values

### DEF_DO_THINNING

    protected static final boolean DEF_DO_THINNING

See Also:
  Constant Field Values

### DEF_FAN_EPS

    protected static final float DEF_FAN_EPS

See Also:
  Constant Field Values

### DEF_ZERO_EPS

    protected static final float DEF_ZERO_EPS

See Also:
  Constant Field Values

### DEF_THRESHOLD

    protected static final float DEF_THRESHOLD

See Also:
  Constant Field Values

### vmaptype

    protected java.lang.String vmaptype

### propsFileName

    protected java.lang.String propsFileName

### prefix

    protected java.lang.String prefix

### doThinning

    protected boolean doThinning

### fan_eps

    protected float fan_eps

### zero_eps

    protected float zero_eps

### threshold

    protected float threshold

### lst

    protected LibrarySelectionTable lst

### warehouse

    protected transient LayerGraphicWarehouseSupport warehouse

Constructor Detail

### VMAP2Shape

    public VMAP2Shape()

Method Detail

### writeShapeFile

    public void writeShapeFile(java.lang.String shapeFileName)

  Will load the properties set in the VPF2Shape object, fetch the OMGraphics from the VPF database, and write the shape file.

  Parameters:
    `shapeFileName` -

### writeShapeFile

    public void writeShapeFile(java.lang.String shapeFileName,
                               OMGraphicList graphics)

  Write the shape file, assumes that the properties have been loaded and the graphics fetched from the VPF database.

  Parameters:
    `shapeFileName` - the file name to write the shapes into.
    `graphics` - OMGraphics from VPF database to write to shape file.

### joinCommonLines

    protected static OMGraphicList joinCommonLines(OMGraphicList list,
                                                   float zero_eps)

  Iterates through graphic list finding non-connected polylines. iterates over these to find lines with common endpoints and joining them.

  Parameters:
    `list` -
    `zero_eps` -
  Returns:

### coalesce_points

    public static float[] coalesce_points(float[] radians,
                                          float eps,
                                          boolean ispolyg)

  traverse array and coalesce adjacent points which are the same

### maybeThrowAwayPoly

    protected boolean maybeThrowAwayPoly(OMPoly poly)

  return true if we should throw away the poly

### loadProperties

    protected java.util.Properties loadProperties()

### setProperties

    protected void setProperties(java.lang.String prefix,
                                 java.util.Properties props)

### initLST

    protected void initLST(java.lang.String[] paths)

### getRectangle

    public OMGraphicList getRectangle()

### isDoThinning

    public boolean isDoThinning()

### setDoThinning

    public void setDoThinning(boolean doThinning)

### getFan_eps

    public float getFan_eps()

### setFan_eps

    public void setFan_eps(float fan_eps)

### getLst

    public LibrarySelectionTable getLst()

### setLst

    public void setLst(LibrarySelectionTable lst)

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

### getPropsFileName

    public java.lang.String getPropsFileName()

### setPropsFileName

    public void setPropsFileName(java.lang.String propsFileName)

### getThreshold

    public float getThreshold()

### setThreshold

    public void setThreshold(float threshold)

### getVmaptype

    public java.lang.String getVmaptype()

### setVmaptype

    public void setVmaptype(java.lang.String vmaptype)

### getWarehouse

    public LayerGraphicWarehouseSupport getWarehouse()

### setWarehouse

    public void setWarehouse(LayerGraphicWarehouseSupport warehouse)

### getZero_eps

    public float getZero_eps()

### setZero_eps

    public void setZero_eps(float zero_eps)

### usage

    public static void usage()

### main

    public static void main(java.lang.String[] args)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details